## Function template parse_settings

boost::log::parse_settings

## Synopsis

    // In header: <boost/log/utility/setup/settings_parser.hpp>

    template<typename CharT>
      basic_settings< CharT > parse_settings(std::basic_istream< CharT > & strm);

## Description

The function parses library settings from an input stream

Throws: An `std::exception`-based exception if the read data cannot be interpreted as the library settings

Parameters:

`strm` | Stream, that provides library settings